#include <bits/stdc++.h>

using namespace std;

void resi() {
    unsigned long long n, s, k;
    cin >> n >> s >> k;
    unsigned long long poGrupi = n / k, vecih = n % k;
    unsigned long long sol = 0;
    if(poGrupi % 2 == 0) {
        sol += ((poGrupi + 2) / 2) * (poGrupi + 1);
    }
    else {
        sol += (poGrupi + 2) * ((poGrupi + 1) / 2);
    }
    sol *= vecih;
    if(poGrupi % 2 == 0) {
        sol += (k - vecih) * ((poGrupi) / 2) * (poGrupi + 1);
    }
    else {
        sol += (k - vecih) * (poGrupi) * ((poGrupi + 1) / 2);
    }
    cout << (sol <= s ? "Tak" : "Nie") << endl;
}

int main() {
    short tc;
    cin >> tc;
    while(tc--) resi();
}